package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.fire.domain.DemAtlInspectVoucher;
import com.usky.fire.mapper.DemAtlInspectVoucherMapper;
import com.usky.fire.service.DemAtlInspectVoucherService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 安全检查凭证 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-10-14
 */
@Service
public class DemAtlInspectVoucherServiceImpl extends AbstractCrudService<DemAtlInspectVoucherMapper, DemAtlInspectVoucher> implements DemAtlInspectVoucherService {

    @Override
    public int AtlInspectVoucherCount(){
        LambdaQueryWrapper<DemAtlInspectVoucher> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DemAtlInspectVoucher::getDeleteFlag,0);
        int count = this.count(queryWrapper);
        return count;
    }

}
